YPSET(8)

NAME
ypset - point ypbind at a particular server

SYNOPSIS
/usr/sbin/yp/ypset [ -V1|-V2 ] [ -d domain ] [ -h host ] server

DESCRIPTION
ypset tells ypbind to get NIS services for the specified domain from the ypserv process running on server. If server is down, or isn't running ypserv, this is not discovered until a NIS client process tries to get a binding for the domain. At this point, the binding set by ypset will be tested by ypbind. If the binding is invalid, ypbind will attempt to rebind for the same domain.

ypset is useful for binding a client node which is not on a broadcast net, or is on a broadcast net which isn't running a NIS server host. It also is useful for debugging NIS client applications, for instance where a NIS map only exists at a single NIS server host.

In cases where several hosts on the local net are supplying NIS services, it is possible for ypbind to rebind to another host even while you attempt to find out if the ypset operation succeeded. For example, you can type:
    example% ypset host1
    example% ypwhich
    host2

which can be confusing. This is a function of the NIS subsystem's attempt to load-balance among the available NIS servers, and occurs when host1 does not respond to ypbind because it is not running ypserv (or is overloaded), and host2, running ypserv, gets the binding.

server indicates the NIS server to bind to, and can be specified as a name or an IP address. If specified as a name, ypset will attempt to use NIS services to resolve the name to an IP address. This will work only if the node has a current valid binding for the domain in question. In most cases, server should be specified as an IP address.

Refer to ypfiles(5) and ypserv(8) for an overview of the Network Information Service.

OPTIONS

-V1 Bind server for the (old) v.1 NIS protocol.

-V2 Bind server for the (current) v.2 NIS protocol.

    If no version is supplied, ypset, first attempts to set the domain for the (current) v.2 protocol. If this attempt fails, ypset, then attempts to set the domain for the (old) v.1 protocol.

-hhost
    Set ypbind's binding on host, instead of locally. host can be specified as a name or as an IP address.

-ddomain
    Use domain , instead of the default domain.

SEE ALSO
ypwhich(1), ypfiles(5), ypserv(8)